process MERGEKMER {
    tag "$meta.id"
    label 'big_mem_mono_cpus'

    container "lbmc/mergekmer:0.1.2"

    input:
    tuple val(meta), path(csv)

    output:
    tuple val(meta), path("*.csv"), emit: csv
    path "versions.yml"           , emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    mergekmer --csv ${csv} --output ${meta.id}.csv


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        mergekmer: \$(echo \$(mergekmer --version 2>&1))
    END_VERSIONS
    """
}

process COLLATEKMER {
    tag "$specie"
    label 'big_mem_mono_cpus'
    publishDir "results/${params.kmer_size}/${specie}/", mode: 'copy'

    container "lbmc/mergekmer:0.1.2"

    input:
    tuple val(specie), path(csv)

    output:
    tuple val(specie), path("*.csv"), emit: csv
    path "versions.yml", emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    mergekmer --csv ${csv} --output ${specie}.csv --collate


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        mergekmer: \$(echo \$(mergekmer --version 2>&1))
    END_VERSIONS
    """
}
